# HG changeset patch
# User Andreas Weber <andy.weber.aw@gmail.com>
# Date 1470634597 -7200
#      Mon Aug 08 07:36:37 2016 +0200
# Node ID a8a9c275e12d39e00b304cead620662d1cd66dff
# Parent  6f1887b237d559c68cb381c37805eb4bc92b2fbd
dump_demos: remove duplicate default args

The default args for directories, print format and so on
are already set in compare_plot_demos.m which should be used to
call dump_demos.m

diff -r 6f1887b237d5 -r a8a9c275e12d scripts/testfun/private/dump_demos.m
--- a/scripts/testfun/private/dump_demos.m	Mon Aug 08 07:30:29 2016 +0200
+++ b/scripts/testfun/private/dump_demos.m	Mon Aug 08 07:36:37 2016 +0200
@@ -17,28 +17,12 @@
 ## <http://www.gnu.org/licenses/>.
 
 ## -*- texinfo -*-
-## @deftypefn  {} {} dump_demos ()
-## @deftypefnx {} {} dump_demos (@var{dirs})
-## @deftypefnx {} {} dump_demos (@var{dirs}, @var{mfile})
-## @deftypefnx {} {} dump_demos (@var{dirs}, @var{mfile}, @var{fmt})
+## @deftypefn {} {} dump_demos (@var{dirs}, @var{mfile}, @var{fmt})
 ## Produce a script, with the name specified by @var{mfile}, containing
 ## the demos in the directories, @var{dirs}.  The demos are assumed to produce
 ## graphical output, whose renderings are saved with the specified format,
 ## @var{fmt}.
 ##
-## The defaults for each input are;
-##
-## @table @var
-##   @item @var{dirs}
-##   @code{@{"plot/appearance", "plot/draw", "plot/util", "image"@}}
-##
-##   @item @var{mfile}
-##   @qcode{"dump.m"}
-##
-##   @item @var{fmt}
-##   @qcode{"png"}
-## @end table
-##
 ## For example, to produce PNG output for all demos of the functions
 ## in the plot directory;
 ##
@@ -50,9 +34,9 @@
 
 ## Author: Søren Hauberg  <soren@hauberg.org>
 
-function dump_demos (dirs={"plot/appearance", "plot/draw", "plot/util", "image"}, output="dump_plot_demos.m", fmt="png")
+function dump_demos (dirs, output, fmt)
 
-  if (nargin > 3)
+  if (nargin != 3)
     print_usage ();
   endif
 
